Saved
For authentication instructions, see API overview.
Endpoints
get
List all saved filters
Returns a list of saved filters. The saved filters are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/savedFiltersResponse
No response schemapost
Create saved filters
Create saved filters. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
namestringfiltersarrayactivebooleanusersarrayobjectstringscopestring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/savedFilters \ -d 'name="filter1"' \ -d 'filters="array"' \ -d 'active=true' \ -d 'users="array"' \ -d 'object="lead"' \ -d 'scope="private"'Response
No response schemaget
Retrieve saved filters
Returns a single saved filter, which you can request by passing through an id in the url.
Path parameters
idstringID of the saved filter
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/savedFilters/:idResponse
No response schemaput
Update saved filters
Path parameters
idstringID of the saved filter
Request body
namestringfiltersarrayactivebooleanusersarrayobjectstringscopestring
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/savedFilters/:id \ -d 'name="filter1"' \ -d 'filters="array"' \ -d 'active=true' \ -d 'users="array"' \ -d 'object="lead"' \ -d 'scope="private"'Response
No response schemapatch
Update saved filters soft
Update saved filters soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the saved filter
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/savedFilters/:idResponse
No response schemadelete
Delete saved filters
Path parameters
idstringID of the saved filter
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X DELETE \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/savedFilters/deleted/:id